package com.hc.core.utils.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author 10696
 */

@Component("payProperties")
@ConfigurationProperties("hc.pay")
public class PayProperties {

    private AliPayProperties aliPay = new AliPayProperties();

    private WxPayProperties wxPay = new WxPayProperties();

    public AliPayProperties getAliPay() {
        return aliPay;
    }

    public void setAliPay(AliPayProperties aliPay) {
        this.aliPay = aliPay;
    }

    public WxPayProperties getWxPay() {
        return wxPay;
    }

    public void setWxPay(WxPayProperties wxPay) {
        this.wxPay = wxPay;
    }



}
